package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * UnbindDeviceRespVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class UnbindDeviceRespVo   {
  @JsonProperty("mac")
  private String mac;

  @JsonProperty("status")
  private Integer status;

  @JsonProperty("licenseId")
  private String licenseId;

  @JsonProperty("licenseType")
  private String licenseType;

  @JsonProperty("category")
  private String category;

  public UnbindDeviceRespVo mac(String mac) {
    this.mac = mac;
    return this;
  }

  /**
   * Get mac
   * @return mac
  */
  @ApiModelProperty(value = "")


  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }

  public UnbindDeviceRespVo status(Integer status) {
    this.status = status;
    return this;
  }

  /**
   * Unbind device status should be a value as follows: 0: success;-1: failed
   * @return status
  */
  @ApiModelProperty(value = "Unbind device status should be a value as follows: 0: success;-1: failed")


  public Integer getStatus() {
    return status;
  }

  public void setStatus(Integer status) {
    this.status = status;
  }

  public UnbindDeviceRespVo licenseId(String licenseId) {
    this.licenseId = licenseId;
    return this;
  }

  /**
   * License ID
   * @return licenseId
  */
  @ApiModelProperty(value = "License ID")


  public String getLicenseId() {
    return licenseId;
  }

  public void setLicenseId(String licenseId) {
    this.licenseId = licenseId;
  }

  public UnbindDeviceRespVo licenseType(String licenseType) {
    this.licenseType = licenseType;
    return this;
  }

  /**
   * License type should be a value as follows: 1year; 2years; 3years; 4years; 5years; others; trial(Cloud Based Controller), permanent; trial(Local Controller)
   * @return licenseType
  */
  @ApiModelProperty(value = "License type should be a value as follows: 1year; 2years; 3years; 4years; 5years; others; trial(Cloud Based Controller), permanent; trial(Local Controller)")


  public String getLicenseType() {
    return licenseType;
  }

  public void setLicenseType(String licenseType) {
    this.licenseType = licenseType;
  }

  public UnbindDeviceRespVo category(String category) {
    this.category = category;
    return this;
  }

  /**
   * Category should be a value as follows: ap; l2Switch; l3Switch; gateway
   * @return category
  */
  @ApiModelProperty(value = "Category should be a value as follows: ap; l2Switch; l3Switch; gateway")


  public String getCategory() {
    return category;
  }

  public void setCategory(String category) {
    this.category = category;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UnbindDeviceRespVo unbindDeviceRespVo = (UnbindDeviceRespVo) o;
    return Objects.equals(this.mac, unbindDeviceRespVo.mac) &&
        Objects.equals(this.status, unbindDeviceRespVo.status) &&
        Objects.equals(this.licenseId, unbindDeviceRespVo.licenseId) &&
        Objects.equals(this.licenseType, unbindDeviceRespVo.licenseType) &&
        Objects.equals(this.category, unbindDeviceRespVo.category);
  }

  @Override
  public int hashCode() {
    return Objects.hash(mac, status, licenseId, licenseType, category);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UnbindDeviceRespVo {\n");
    
    sb.append("    mac: ").append(toIndentedString(mac)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    licenseId: ").append(toIndentedString(licenseId)).append("\n");
    sb.append("    licenseType: ").append(toIndentedString(licenseType)).append("\n");
    sb.append("    category: ").append(toIndentedString(category)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

